
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>算法速成（十）栈 / iVAN</title>

    <meta name="description" content="算法速成（十）栈 今天跟大家聊聊栈,在程序设计中,栈的使用还是非常广泛的,比如有&quot;括号匹配问题&quot;,&quot;html 结构匹配问题&quot;. 所以说掌握了&quot;栈&quot;的使用,对我们学习算法还是很有帮助的. 一 : 概念 栈,同样是一种特殊的线性表,是一种Last In First Out(LIFO)的形式,现实中有 很多这样的例子, 比如:食堂中的一叠盘子,我们只能从顶端一个一个的取. 二:存 储结构 &quot;栈&quot;不像&quot;队列&quot;,需要两个指针 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">算法速成（十）栈</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>今天跟大家聊聊栈，在程序设计中，栈的使用还是非常广泛的，比如有“括号匹配问题“，”html 结构匹配问题“。</p>
<p>所以说掌握了”栈“的使用，对我们学习算法还是很有帮助的。</p>
<p>一 ： 概念</p>
<p>栈，同样是一种特殊的线性表，是一种Last In First Out（LIFO)的形式，现实中有 很多这样的例子，</p>
<p>比如：食堂中的一叠盘子，我们只能从顶端一个一个的取。</p>
<p>二：存 储结构</p>
<p>”栈“不像”队列“，需要两个指针来维护，栈只需要一个指针就够了，这得益于栈是 一种一端受限的线性表。</p>
<p>这里同样用”顺序结构“来存储这个”栈“，top指针指向栈顶，所 有的操作只能在top处。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMTUwOTVUUzctMC5wbmc=.jpg"></p>
<p>代码段：</p>
<pre>
#region 栈的数据结构
     /// &lt;summary&gt;
 /// 栈的数据结构
 /// &lt;/summary&gt;
     public class SeqStack&lt;T&gt;
     {
         public T[] data;   

         /// &lt;summary&gt;
 /// 栈顶指针
 /// &lt;/summary&gt;
         public int top = -1;   

         public SeqStack(int lenth)
         {
             data = new T[lenth];
         }
     }
     #endregion</pre>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索指针<br />
                    ，                数据结构<br />
                    ，                顺序栈<br />
                    ，                结构<br />
                    ，                栈<br />
                    ，                数据结构 线性表 算法<br />
                    ，                public<br />
                    ，                一个<br />
                                    线性<br />
                                    算法速成、数据结构与算法速成、堆栈算法、栈桶式算法、栈 算法，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-14 07:04:53</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/public/" title="public">public</a>, <a href="https://www.iamivan.net/tag/%e7%ba%bf%e6%80%a7/" title="线性">线性</a>, <a href="https://www.iamivan.net/tag/%e7%bb%93%e6%9e%84/" title="结构">结构</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e7%bb%93%e6%9e%84/" title="数据结构">数据结构</a>, <a href="https://www.iamivan.net/tag/%e6%8c%87%e9%92%88/" title="指针">指针</a>, <a href="https://www.iamivan.net/tag/%e6%a0%88/" title="栈">栈</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e7%bb%93%e6%9e%84-%e7%ba%bf%e6%80%a7%e8%a1%a8-%e7%ae%97%e6%b3%95/" title="数据结构 线性表 算法">数据结构 线性表 算法</a>, <a href="https://www.iamivan.net/tag/%e9%a1%ba%e5%ba%8f%e6%a0%88/" title="顺序栈">顺序栈</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>算法速成（十）栈的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLOjVLM.html" rel="bookmark">算法速成（九）队列</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				可能大家都知道,线性表的变种非常非常多,比如今天讲的&quot;队列&quot;,灰常有意思啊. 一:概念 队列是一个&quot;先进先出&quot;的线性表,牛X的名字就是&quot;First in First Out(FIFO)&quot;, 生活中有很多这样的场景,比如读书的时候去食堂打饭时的&quot;排队&quot;.当然我们拒绝插队. 二:存储结构   前几天也说过,线性表有两种&quot;存储结构&quot;,① 顺序存储,②链式存储.当然&quot;队列&quot;也脱离 不了这两种服务			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze4AZVp.html" rel="bookmark">JavaScript中数据结构与算法&lpar;一&rpar;：栈</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  这篇文章主要介绍了JavaScript中数据结构与算法(一):栈,本文讲解了栈的结构.什么是回文以及递归等内容,讲解的不错,通俗易懂,需要的朋友可以参考下 序 数据结构与算法JavaScript这本书算是讲解得比较浅显的,优点就是用javascript语言把常用的数据结构给描述了下,书中很多例子来源于常见的一些面试题目,算是与时俱进,业余看了下就顺便记录下来吧 git代码下载:https://github.com/JsAaron/data_structure.git 栈结构 特殊的列表,栈内			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7kAqAz.html" rel="bookmark">算法速成（十五）图之&OpenCurlyDoubleQuote;最小生成树&rdquo;和&OpenCurlyDoubleQuote;最短路径&rdquo;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天是大结局,说下&quot;图&quot;的最后一点东西,&quot;最小生成树&quot;和&quot;最短路径&quot;. 一: 最小 生成树 1. 概念 首先看如下图,不知道大家能总结点什么. 对于一个连通图G, 如果其全部顶点和一部分边构成一个子图G1,当G1满足: ① 刚好将图中所有顶点连通.② 顶点不存在回路.则称G1就是G的&quot;生成树&quot;. 其实一句话总结就是:生成树是将原图的全部 顶点以最小的边连通的子图,这不,如下的连通图可以得到下面的两个生成树. ② 对于一个带权的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0Pa3mM.html" rel="bookmark">算法速成（十四）图之非线性数据结构</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天来分享一下图,这是一种比较复杂的非线性数据结构,之所以复杂是因为他们的数据元素之间 的关系是任意的,而不像树那样 被几个性质定理框住了,元素之间的关系还是比较明显的,图 的使用范围很广的,比如网络爬虫,求最短路径等等,不过大家也不要胆怯, 越是复杂的东西 越能体现我们码农的核心竞争力. 既然要学习图,得要遵守一下图的游戏规则. 一: 概念 图是由&quot;顶点&quot;的集合和&quot;边&quot;的集合组成.记作:G=(V,E): &lt;1&gt; 无向 图 就是&quot;图&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk2xnEM.html" rel="bookmark">算法速成（十二）树操作之线索二叉树</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				先前说了树的基本操作,我们采用的是二叉链表来保存树形结构,当然二叉有二叉的困扰之处,比 如我想找到当前结点 的&quot;前驱&quot;和&quot;后继&quot;,那么我们就必须要遍历一下树,然后才能定位到 该&quot;节点&quot;的&quot;前驱&quot;和&quot;后继&quot;,每次定位都是O(n),这 不是我们想看到的,那么有什么 办法来解决呢? (1) 在节点域中增加二个指针域,分别保存&quot;前驱&quot;和&quot;后继&quot;,那么就 是四叉链表了,哈哈,还			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM6v2OM.html" rel="bookmark">Photoshop高手速成 十秒钟调亮度</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				速成 图片明显暴光不足.一般就是加蒙版,调曲线,然后再蒙版上拉渐变.但是这个在日常的工作中非常的不方便. 解释一下.图中在按ctrl+m的时候,不是加调整层.是直接先点图片.就是没有蒙版的那个眼睛.直接ctrl+M, 然后移动曲线到你需要的亮度. 蒙版本身也可以用ctrl+L 或者ctrl+M来调节明暗. 说一下这十秒钟 1 ctrl+j 一秒 2 alt+shift+ctrl+~一秒 3 点蒙版一秒 4 ctrl+i 一秒 5 点掉眼睛一秒 6 ctrl+m 一秒 7 拉曲线一秒 8 点OK一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/YMR3mkp.html" rel="bookmark">PHP 数据结构与算法之《栈》</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				介绍 &quot;要成高手,必练此功&quot;. 要成为优秀的程序员,数据结构和算法是必修的内容.而现在的Web程序员使用传统算法和数据结构都比较少,因为很多算法都是包装好的,不用我们去操心具体的实现细节,如PHP的取栈操作array_pop,进栈操作array_push,都有指定的库函数,导致我们对基础算法的研究越来越少,最后成为一个工具的傀儡而已. 所以我还是建议更多的coder从基础开始学习.这篇就先讲我们最熟悉的栈操作开始入手,让我们熟悉栈. 栈为何物? 口诀&quot;后进先出&quot;,这			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bElrj9z.html" rel="bookmark">算法速成（四）五大经典查找之线性查找</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在我们的生活中,无处不存在着查找,比如找一下班里哪个mm最pl,猜一猜mm的芳龄....... 对的 这些都是查找. 在我们的算法中,有一种叫做线性查找. 分为:顺序查找. 折 半查找. 查找有两种形态: 分为:破坏性查找,   比如有一群mm,我猜她们的 年龄,第一位猜到了是23+,此时这位mm已经从我脑海里面的mmlist中remove掉了. 哥不找23+ 的,所以此种查找破坏了原来的结构. 非破坏性查找, 这种就反之了,不破坏结构. 顺序查找: 这种非常简单,就是过一下数组,一个一个的比,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5AkXDp.html" rel="bookmark">算法速成（二）七大经典排序之选择排序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天说的是选择排序,包括&quot;直接选择排序&quot;和&quot;堆排序&quot;. 话说上次&quot;冒泡排序&quot;被快 排虐了,而且&quot;快排&quot;赢得了内库的重用,众兄弟自然眼红,非要找快排一比高下. 这不今天 就来了两兄弟找快排算账. 1.直接选择排序: 先上图: 说实话,直接选择排序最类似于人的本能思想,比如把大小不一的玩具让三岁小毛孩对大小 排个序, 那小孩首先会在这么多玩具中找到最小的放在第一位,然后找到次小的放在第二位, 以此类推...... ,小 孩子多聪明			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJeVpx.html" rel="bookmark" class="title">Photoshop制作漂亮的立体火焰字</a>
					<div>
						本教程非常详细的介绍了立体火焰字的制作方法.教程把文字及火焰效果分开来做.先制作立体字,方法有很多,最好把每一个字安置在一个图层.火焰部分利用了一些火焰及纹理素材,制作的时候需要注意细节部分的修饰.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlO2Yb.html" rel="bookmark" class="title">如何在电影中添加广告</a>
					<div>
						广告 如何在电影中添加广告 如何在电影中加入字幕(网址等等) 有时侯大家在观看某部影片时,突然会弹出来一个网址.FLASH什么的,吓你一跳,这个叫Rm事件,是可以后期加入任何Rm.Rmvb影片中的,还 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMreQ4b.html" rel="bookmark" class="title">Apache服务器高级设置指南&lpar;1&rpar;</a>
					<div>
						apache|服务器|高级 目前WWW Server软件有许多,能运行在linux下的也不少,有NCSA HTTPd Server.CERN HTTPd Server.pache.Netscape F ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6mWob.html" rel="bookmark" class="title">企业营销怎样度过网络营销瓶颈期</a>
					<div>
						随着互联网的火速发展,越来越多的企业加入网络,网络营销的新颖打破了传统营销,网络营销之所以能吸引企业参与,在于网络可扩大用户群体,给企业带来更多的用户资源,最终提高企业的销售订单.但企业发展到一定阶段 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5EPap.html" rel="bookmark" class="title">PHP图片水印函数&colon;支持以图片和文字方式添加水印</a>
					<div>
						今天是六一儿童节,嘿嘿,和大家分享下在PHP网站开发中经常用到的给图片添加水印的函数源码,由David编写,亲自测试通过,支持以图片和文字两种方式给图片添加水印.图片支持GIF,PNG,JPG三种格式 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M623wAM.html" rel="bookmark" class="title">汇编语言学习指南&lpar;二&rpar;</a>
					<div>
						汇编指令的操作数可以是内存中的数据, 如何让程序从内存中正确取得所需要的数据就是对内存的寻址. INTEL 的CPU 可以工作在两种寻址模式:实模式和保护模式. 前者已经过时,就不讲了, WINDOW ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5A9GDp.html" rel="bookmark" class="title">文件系统驱动编程基础篇之2&mdash;&mdash;标准模型</a>
					<div>
						二.标准模型 WDM采用了结构化的编程方式,执行效率很高,但编写效率较低,这也是DriverStudio得以发展的重要原因.正如掌握了COM原理,使用ATL才能掌握精髓的道理一样,读者需要忍受记忆大量 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/balAQPz.html" rel="bookmark" class="title">基于jQuery&plus;Cookie实现的防止刷新的在线考试倒计时</a>
					<div>
						  这篇文章主要介绍了基于jQuery+Cookie实现的防止刷新的在线考试倒计时的方法和示例,有需要的小伙伴可以参考下 基于jQuery+Cookie实现的防止刷新的在线考试倒计时 ? 1 2 3  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrJrZp.html" rel="bookmark" class="title">用户体验设计的五项原则</a>
					<div>
						前几天接受&lt;商学院&gt;杂志对我的采访,今天把整理好的文章先发布出啦,最近的一期的杂志会把文章刊登出来,我这里就把文章先放在博客里吧,也算是最近新写的一篇博文,博客还是不能荒废了啊. 下面就是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWQGOb.html" rel="bookmark" class="title">三招阻止U盘传播木马病毒</a>
					<div>
						我们经常会遇到U盘自动运行的情况,虽然一定程度上带给我们方便,但是U盘毕竟不会认东西,无论该程序是好的还是坏的它都一律运行,这就导致经常有木马乘虚而入,通过自动鱼腥的情况感染U盘.对此我们可以采取下面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5o08Ab.html" rel="bookmark" class="title">192&period;168&period;1&period;1打不开怎么办</a>
					<div>
						  192.168.1.1打不开怎么办 方法一. 首先打开控制面板-网络和Internet-网络共享中心-更改适配器设置 选择&quot;属性&quot; 选择&quot;Internet协议版本4& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYv3AM.html" rel="bookmark" class="title">Java服务化系统线上应急和技术攻关，你必须掌握的Linux命令</a>
					<div>
						上一篇文章&lt;Java服务化系统线上应急和技术攻关,你必须拥有的那些应用层脚本和Java虚拟机命令&gt;介绍了笔者在互联网公司里线上应急和技术攻关过程中积累的应用层脚本和Java虚拟机命令,这些 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZXO8z.html" rel="bookmark" class="title">netty-Netty服务端和客户端的连接保持只有一个</a>
					<div>
						问题描述 Netty服务端和客户端的连接保持只有一个 在实现了服务端和客户端的连接后,客户端每次重启后都和服务端进行重连,导致了一堆的channle的出现.但是只有一个最后一次的channel是有用的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5o1Eqb.html" rel="bookmark" class="title">java发送get请求和post请求示例&lowbar;java</a>
					<div>
						java向服务端发送GET和POST请求 复制代码 代码如下: package com.hongyuan.test; import java.io.BufferedReader;import java ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOljwRb.html" rel="bookmark" class="title">WP 8&period;1 的一些新泄露：IE浏览器将能上传文件</a>
					<div>
						直到昨天为止,我们已经看到了许多Windows Phone 8.1 SDK当中的泄露,我们原本以为能挖掘的已经被开发者泄露的差不多了.但是开发者们总能给我们带来惊喜,今天他们又带来了一些新的东西. 支 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQr58ZM.html" rel="bookmark" class="title">数据中心的内部电源</a>
					<div>
						现如今,尽管IT业界的各种新兴技术可能正发生着各种突飞猛进的快速变化,但每家数据中心仍然需要依赖电力资源的消耗来维持其运行能力.故而,数据中心运营商们仍然需要通过更新电源使用.冷却和电气设计方案,来提 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQr708M.html" rel="bookmark" class="title">tom猫如何配置虚拟路径</a>
					<div>
						问题描述 1.在conf目录下新建energy名称同名的文件夹:2.在该文件夹下新建hostname同名的文件夹3.设置xml来配置文件,添加Context标签,为此标签添加docBase属性(资源路 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwd3rp.html" rel="bookmark" class="title">java如何调用ActiveX的问题</a>
					<div>
						问题描述 &lt;javascript&gt; set oSD = CreateObject(&quot;HostAccess.StructuredQuery&quot;) xmlstuff = oS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rLE7z.html" rel="bookmark" class="title">Apache Kafka源码分析 &ndash; Broker Server</a>
					<div>
						1. Kafka.scala 在Kafka的main入口中startup KafkaServerStartable, 而KafkaServerStartable这是对KafkaServer的封装 1: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2RKk4b.html" rel="bookmark" class="title">11111111111111-markdown语法功能测试</a>
					<div>
						问题描述 markdown语法功能测试 int main(){ return 0; } 解决方案 111111111111111111111111111111111111111111111111111 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40QG9z.html" rel="bookmark" class="title">怎样动态改变类属性的作用域？</a>
					<div>
						问题描述 比如说传进来的参数是一个类,然后这个类的属性作用域都是public,现在想把它的属性作用域全部改成private.请问各位朋友要怎样实现?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBEWJM.html" rel="bookmark" class="title">Java锁的种类以及辨析（四）：可重入锁</a>
					<div>
						作者:山鸡 锁作为并发共享数据,保证一致性的工具,在JAVA平台有多种实现(如 synchronized 和 ReentrantLock等等 ) .这些已经写好提供的锁为我们开发提供了便利,但是锁的具 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60jXNz.html" rel="bookmark" class="title">抓住云的契机 惠普开启无缝软件服务</a>
					<div>
						从推出面向CIO的IT http://www.aliyun.com/zixun/aggregation/6943.html&quot;&gt;绩效管理解决方案,到近期大手笔收购英国软件公司Autono ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBxomM.html" rel="bookmark" class="title">vs2005 水晶报表 有次数限制吗&quest;</a>
					<div>
						问题描述 如果有,怎么解决,或者有什么其它报表好用 解决方案 解决方案二:微软讲师说,只要买了vs2005就是买了水晶报表许可,不在有限制.解决方案三:怎么识别,我不知道公司的是否是正版的					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAERo3M.html" rel="bookmark" class="title">建立一个自定义标签，用于绘制出显示不同物品比例的柱状图</a>
					<div>
						问题描述 建立一个自定义标签,用于绘制出显示不同物品比例的柱状图,使用时如下:&lt;h:drawRatevalue=&quot;${map}&quot;width=&quot;400&quot;he ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnVevM.html" rel="bookmark" class="title">相关向量机 预测指标-相关向量机的预测评价</a>
					<div>
						问题描述 相关向量机的预测评价 相关向量机在做故障预测时,想比与支持向量机,在预测指标上,除了能用概率表示,还有其他比对方法么?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6eZwM.html" rel="bookmark" class="title">在Android模拟器上模拟GPS功能总是null的解决方法&lowbar;Android</a>
					<div>
						我们都知道,在我们开发时需要在模拟器上模拟GPS,可在Location的时候总是null,上网查了一下,发现如下解决: 网上大侠的解决方案: 在模拟器上获取GPS信息时,使用Location loc  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9Nn3op.html" rel="bookmark" class="title">SharePoint 2013 修改表单认证登录页面</a>
					<div>
						前 言 之前的博客我们介绍了如何为SharePoint配置表单登陆,但是,登陆页面是丑.很丑.非常丑.特别非常丑!我们现在就介绍一下如何定制SharePoint表单登陆页面! SharePoint 表 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8gxN9M.html" rel="bookmark" class="title">定制Linux系统原理</a>
					<div>
						1.名词说明 1)主系统 制作Linux系统并不是在一无所有的裸机上完成的,需要一个帮助我们制作系统的系统,这个系统就称为&quot;主系统&quot;.我们制作的系统就是依靠这个主系统来逐步完成的, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR7vedp.html" rel="bookmark" class="title">arcgis 开发基于java oracle数据库</a>
					<div>
						问题描述 java读取sde空间数据库在地图上展示有谁知道怎么实现吗 解决方案 解决方案二:这个发到java版问问吧,个人认为这本身和oracle关系不大解决方案三:引用1楼bw555的回复: 这个发 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
